Bug 1185018 - Review Request: gap-pkg-sonata - GAP package for systems of nearrings
Summary: Review Request: gap-pkg-sonata - GAP package for systems of nearrings
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mattias Ellert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-22 17:29 UTC by Jerry James
Modified: 2015-02-09 05:29 UTC (History)
2 users (show)

Fixed In Version: gap-pkg-sonata-2.6-4.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-09 05:29:01 UTC
Type: ---
mattias.ellert: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jerry James 2015-01-22 17:29:22 UTC
Spec URL: https://jjames.fedorapeople.org/gap-pkg-sonata/gap-pkg-sonata.spec
SRPM URL: https://jjames.fedorapeople.org/gap-pkg-sonata/gap-pkg-sonata-2.6-4.fc22.src.rpm
Fedora Account System Username: jjames
Description: This is a rename review.  The original review is bug 858081.

SONATA stands for "systems of nearrings and their applications".  It provides methods for the construction and the analysis of finite nearrings.  A left nearring is an algebra (N;+,*), where (N,+) is a (not necessarily abelian) group, (N,*) is a semigroup, and x*(y+z) = x*y + x*z holds for all x,y,z in N.

As a typical example of a nearring, we may consider the set of all mappings from a group G into G, where the addition is the pointwise addition of mappings in G, and the multiplication is composition of functions.  If functions are written on the right of their arguments, then the left distributive law holds, while the right distributive law is not satisfied for non-trivial G.

The SONATA package provides methods for the construction and analysis of finite nearrings.
1. Methods for constructing all endomorphisms and all fixed-point-free automorphisms of a given group.
2. Methods for constructing the following nearrings of functions on a group G:
   - the nearring of polynomial functions of G (in the sense of Lausch-Nöbauer);
   - the nearring of compatible functions of G;
   - distributively generated nearrings such as I(G), A(G), E(G);
   - centralizer nearrings.
3. A library of all small nearrings (up to order 15) and all small nearrings with identity (up to order 31).
4. Functions to obtain solvable fixed-point-free automorphism groups on abelian groups, nearfields, planar nearrings, as well as designs from those.
5. Various functions to study the structure (size, ideals, N-groups, ...) of nearrings, to determine properties of nearring elements, and to decide whether two nearrings are isomorphic.
6. If the package XGAP is installed, the lattices of one- and two-sided ideals of a nearring can be studied interactively using a graphical representation.

Comment 1 Mattias Ellert 2015-01-25 10:19:54 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
No issues - package approved.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "Unknown or generated". 31 files have unknown
     license.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/gap/pkg/sonata/htm/ref
     (gap-sonata), /usr/lib/gap/pkg/sonata/htm(gap-sonata),
     /usr/lib/gap/pkg/sonata/doc/ref(gap-sonata),
     /usr/lib/gap/pkg/sonata/htm/tut(gap-sonata), /usr/lib/gap/pkg/sonata/doc
     (gap-sonata), /usr/lib/gap/pkg/sonata(gap-sonata),
     /usr/lib/gap/pkg/sonata/doc/tut(gap-sonata), /usr/lib/gap/pkg/sonata/lib
     (gap-sonata), /usr/lib/gap/pkg/sonata/nr(gap-sonata),
     /usr/lib/gap/pkg/sonata/grp(gap-sonata), /usr/lib/gap/pkg/sonata/tst(gap-
     sonata), /usr/lib/gap/pkg/sonata/nri(gap-sonata)
     The gap-sonata package is obsoleted by this package - no duplicates.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gap-pkg-sonata-2.6-4.fc22.noarch.rpm
          gap-pkg-sonata-2.6-4.fc22.src.rpm
gap-pkg-sonata.noarch: W: spelling-error Summary(en_US) nearrings -> earrings, n earrings, near rings
gap-pkg-sonata.noarch: W: spelling-error %description -l en_US nearrings -> earrings, n earrings, near rings
gap-pkg-sonata.noarch: W: spelling-error %description -l en_US nearring -> nearing, earring, n earring
gap-pkg-sonata.noarch: W: spelling-error %description -l en_US abelian -> Belgian, Annabel, Anabel
gap-pkg-sonata.noarch: W: spelling-error %description -l en_US semigroup -> semi group, semi-group, semipro
gap-pkg-sonata.noarch: W: spelling-error %description -l en_US pointwise -> point wise, point-wise, pointless
gap-pkg-sonata.noarch: W: spelling-error %description -l en_US endomorphisms -> anthropomorphism
gap-pkg-sonata.noarch: W: spelling-error %description -l en_US automorphisms -> anthropomorphism
gap-pkg-sonata.noarch: W: spelling-error %description -l en_US automorphism -> metamorphism
gap-pkg-sonata.noarch: W: spelling-error %description -l en_US nearfields -> near fields, near-fields, airfields
gap-pkg-sonata.noarch: W: only-non-binary-in-usr-lib
gap-pkg-sonata.noarch: E: zero-length /usr/lib/gap/pkg/sonata/doc/tut/answers.tex
gap-pkg-sonata.noarch: E: zero-length /usr/lib/gap/pkg/sonata/doc/ref/answers.tex
gap-pkg-sonata.src: W: spelling-error Summary(en_US) nearrings -> earrings, n earrings, near rings
gap-pkg-sonata.src: W: spelling-error %description -l en_US nearrings -> earrings, n earrings, near rings
gap-pkg-sonata.src: W: spelling-error %description -l en_US nearring -> nearing, earring, n earring
gap-pkg-sonata.src: W: spelling-error %description -l en_US abelian -> Belgian, Annabel, Anabel
gap-pkg-sonata.src: W: spelling-error %description -l en_US semigroup -> semi group, semi-group, semipro
gap-pkg-sonata.src: W: spelling-error %description -l en_US pointwise -> point wise, point-wise, pointless
gap-pkg-sonata.src: W: spelling-error %description -l en_US endomorphisms -> anthropomorphism
gap-pkg-sonata.src: W: spelling-error %description -l en_US automorphisms -> anthropomorphism
gap-pkg-sonata.src: W: spelling-error %description -l en_US automorphism -> metamorphism
gap-pkg-sonata.src: W: spelling-error %description -l en_US nearfields -> near fields, near-fields, airfields
2 packages and 0 specfiles checked; 2 errors, 21 warnings.

Thes all look OK.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
gap-pkg-sonata (rpmlib, GLIBC filtered):
    /usr/bin/update-gap-workspace
    gap-core



Provides
--------
gap-pkg-sonata:
    gap-pkg-sonata
    gap-sonata



Source checksums
----------------
http://www.algebra.uni-linz.ac.at/Sonata/sonata-2.6/sonata-2.6.tar.gz :
  CHECKSUM(SHA256) this package     : 9dc712584b352eeed5ebf0ec907d3886f72bc6c5180a44af84079d2a96ba5f22
  CHECKSUM(SHA256) upstream package : 9dc712584b352eeed5ebf0ec907d3886f72bc6c5180a44af84079d2a96ba5f22


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1185018 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 Jerry James 2015-01-26 23:03:18 UTC
Thank you very much for the review!

Comment 3 Jerry James 2015-01-26 23:04:39 UTC
New Package SCM Request
=======================
Package Name: gap-pkg-sonata
Short Description: GAP package for systems of nearrings
Upstream URL: http://www.algebra.uni-linz.ac.at/Sonata/
Owners: jjames
Branches: f21
InitialCC:

Comment 4 Gwyn Ciesla 2015-01-27 14:08:33 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2015-01-30 23:10:17 UTC
gap-pkg-sonata-2.6-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/gap-pkg-sonata-2.6-4.fc21

Comment 6 Fedora Update System 2015-02-01 00:24:38 UTC
gap-pkg-sonata-2.6-4.fc21 has been pushed to the Fedora 21 testing repository.

Comment 7 Fedora Update System 2015-02-09 05:29:01 UTC
gap-pkg-sonata-2.6-4.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.